Update Device

This method allows you to update device information. Hostname is mandatory. You may update OS, critical flag, tags, or delete existing tags. You may also activate/deactivate endpoint agents.

KeyMeaningMandatoryData Type
hostnameDevice hostnameYesstring
osOperating system of the deviceNostring
criticalMark device as critical (true/false)Nostring
agentactivationAgent activation control (deactivate or reactivate)Nostring
tagsAdd/update device metadata (key/value pairs)Noobject[]
deletetagsDelete tags by key nameNostring[]
Python SDK code

Install:

pip install secpod-saner-sdk

Call this endpoint:

from saner.cvem import CvemClient

client = CvemClient(
    api_key="<YOUR_API_KEY>",
    accountid="<YOUR_ACCOUNT_ID>",
    base_url="https://saner.secpod.com"
)

response=client.Device.update(
    hostname="windows 7",
    tags={
          "Location":"New York",
          "type":"endpoint"
          },
    deletetags=["<Tag Name>"]
)

print(response)
client.close()

Requires Python 3.9 or later.

Query Params
string
required

Account name used to identify the User

Body Params
request
object
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json